import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';
import { MetaCrawlerInputItem } from '../model/MetaCrawlerInputItem';
import { MetaCrawler } from '../../crawler/model/MetaCrawler';


@Injectable()
export class MetaCrawlerInputItemService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByMetaCrawler(c: MetaCrawler): Observable<MetaCrawlerInputItem[]> {
    return this.rpcClient.call('MetaCrawlerInputItemService.readAllByMetaCrawler', c);
  }
}
