import { Action } from '@ngrx/store';

import { RPCError } from 'packages/core/rpc/error';
import { MetaCrawler } from '../../../crawler/model/MetaCrawler';
import { MetaCrawlerInputItem } from '../../model/MetaCrawlerInputItem';


export enum ActionType {
  ReadAll = '[meta.crawler-input-list] ReadAll',
  ReadAllSuccess = '[meta.crawler-input-list] ReadAllSuccess',
  ReadAllFailure = '[meta.crawler-input-list] ReadAllFailure',
}

export class ReadAll implements Action {
  readonly type = ActionType.ReadAll;

  constructor(public payload: MetaCrawler) {}
}

export class ReadAllSuccess implements Action {
  readonly type = ActionType.ReadAllSuccess;

  constructor(public payload: MetaCrawlerInputItem[]) {}
}

export class ReadAllFailure implements Action {
  readonly type = ActionType.ReadAllFailure;

  constructor(public payload: RPCError) {}
}

export type Actions =
  | ReadAll
  | ReadAllSuccess
  | ReadAllFailure

;
